= form_for runner, url: runner_form_url do |f|
  = form_errors(runner)
  .form-group.row
    = label :active, _("Active"), class: 'col-form-label col-sm-2'
    .col-sm-10
      .form-check
        = f.check_box :active, { class: 'form-check-input' }
        %label.light{ for: :runner_active }= _("Paused Runners don't accept new jobs")
  .form-group.row
    = label :protected, _("Protected"), class: 'col-form-label col-sm-2'
    .col-sm-10
      .form-check
        = f.check_box :access_level, { class: 'form-check-input' }, 'ref_protected', 'not_protected'
        %label.light{ for: :runner_access_level }= _('This runner will only run on pipelines triggered on protected branches')
  .form-group.row
    = label :federated, _("Federated"), class: 'col-form-label col-sm-2'
    .col-sm-10
      .form-check
        = f.check_box :federated, { class: 'form-check-input', disabled: true}, 'ref_federated', 'not_federated'
        %label.light{ for: :federated }= _('This runner is federated and requires an external AuthID')
  .form-group.row
    = label :run_untagged, _('Run untagged jobs'), class: 'col-form-label col-sm-2'
    .col-sm-10
      .form-check
        = f.check_box :run_untagged, { class: 'form-check-input' }
        %label.light{ for: :runner_run_untagged }= _('Indicates whether this runner can pick jobs without tags')
  - unless runner.group_type?
    .form-group.row
      = label :locked, _('Lock to current projects'), class: 'col-form-label col-sm-2'
      .col-sm-10
        .form-check
          = f.check_box :locked, { class: 'form-check-input' }
          %label.light{ for: :runner_locked }= _('When a runner is locked, it cannot be assigned to other projects')
  .form-group.row
    = label_tag :token, class: 'col-form-label col-sm-2' do
      = _('Token')
    .col-sm-10
      = f.text_field :token, class: 'form-control', readonly: true
  .form-group.row
    = label_tag :ip_address, class: 'col-form-label col-sm-2' do
      = _('IP Address')
    .col-sm-10
      = f.text_field :ip_address, class: 'form-control', readonly: true
  .form-group.row
    = label_tag :description, class: 'col-form-label col-sm-2' do
      = _('Description')
    .col-sm-10
      = f.text_field :description, class: 'form-control'
  .form-group.row
    = label_tag :maximum_timeout_human_readable, class: 'col-form-label col-sm-2' do
      = _('Maximum job timeout')
    .col-sm-10
      = f.text_field :maximum_timeout_human_readable, class: 'form-control'
      .form-text.text-muted= _('This timeout will take precedence when lower than project-defined timeout and accepts a human readable time input language like "1 hour". Values without specification represent seconds.')
  .form-group.row
    = label_tag :tag_list, class: 'col-form-label col-sm-2' do
      = _('Tags')
    .col-sm-10
      = f.text_field :tag_list, value: runner.tag_list.sort.join(', '), class: 'form-control'
      .form-text.text-muted= _('You can set up jobs to only use Runners with specific tags. Separate tags with commas.')
  .form-group.row
    = label_tag :auth_id, class: 'col-form-label col-sm-2' do
      = _('Auth ID')
    .col-sm-10
      = f.text_field :auth_id, value: runner.auth_id, class: 'form-control', readonly: true
      .form-text.text-muted= _('External AuthID to be used for the Federated runner.')
  .form-actions
    = f.submit _('Save changes'), class: 'btn btn-success'


